Bug 1271980 - hammer report info doesn't show logs resources and messages
hammer report info doesn't show logs resources and messages
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.2
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: Reopened, Triaged
Depends On:
Blocks: 1316897
  Show dependency treegraph
 
Reported: 2015-10-15 04:32 EDT by Eric Lavarde
Modified: 2017-07-11 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 13:44:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the same report in the Web GUI (142.44 KB, image/png)
2015-10-15 04:32 EDT, Eric Lavarde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12189 None None None 2016-04-22 12:58 EDT

  None (edit)
Description Eric Lavarde 2015-10-15 04:32:51 EDT
Created attachment 1083167 [details]
Screenshot of the same report in the Web GUI

Description of problem:
hammer report info --id xxx doesn't show logs resources and messages

Version-Release number of selected component (if applicable):
6.1.2

How reproducible:
Always

Steps to Reproduce:
1. hammer report info --search 'applied > 0'
2. Identify an id with content
3. hammer report info --id 293

Actual results:
$ hammer report info --id 293
Id:             293
Host:           rhel7ewl1.ewl.example.com
Reported at:    2015/10/15 08:05:15
Report status:  
    Applied:          5
    Restarted:        1
    Failed:           0
    Restart Failures: 0
    Skipped:          0
    Pending:          0
Report metrics: 
    config_retrieval: 2.515334706
    exec:             
    file:             0.510593942
    package:          1.072031761
    service:          0.018655136
    user:             
    yumrepo:          
    filebucket:       0.000145448
    cron:             
    total:            4.117315495
Logs:           
 1) Resource: 
    Message:
[...]
 14)Resource: 
    Message:
There are 14 Logs but they're all empty (even though they're not empty in the GUI, see screenshot).

Expected results:
Resources and Messages are listed like in the GUI.

Additional info:
Comment 1 Bryan Kearney 2015-10-15 15:25:01 EDT
Created redmine issue http://projects.theforeman.org/issues/12189 from this bug
Comment 2 Bryan Kearney 2016-07-26 15:10:57 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2017-01-05 10:10:44 EST
This is an older bug which has been reported upstream. We are not going to track this bug downstream. When the upstream issue is resolved, the next build will contain the fix. Thank you.
Comment 5 Bryan Kearney 2017-07-10 13:44:37 EDT
This has been triaged as a valid RFE, but has not been aligned to a specific release. I would not expect this before 6.4. Per the earlier comment, we will not be tracking this downstream.

Note You need to log in before you can comment on or make changes to this bug.